> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# person_freetextsearch

> Provider for selecting a Person - without contact search. Does keyword matching and scoring across multiple tables using freetext index.

## "person\_freetextsearch" MDO List

Provider for selecting a Person - without contact search.
Does keyword matching and scoring across multiple
tables using freetext index.

User's own contacts, recently added + modified contacts, contacts modified or created by user.
Matches on word boundaries or at start of field are scored extra highly.

id = person\_id,

Name = contact.name + department or person first+last name (contact name + department)

ExtraInfo = contact\_id,

IconHint = Personwithcontact or Personwithoutcontact

Type = "Person"
Stopped contacts are marked with stylehint = "stop" (but item.deleted = false)

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PersonListFreetextSearchProvider">PersonListFreetextSearchProvider</see> class.
The name of the MDO list is 'person\_freetextsearch'.

## Additional Attributes

| Description            | Name        | Example Value |
| ---------------------- | ----------- | ------------- |
| Skip retired employees | skipRetired | False         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/person_freetextsearch
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("person_freetextsearch", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name           | StyleHint | ExtraInfo |
| --- | -------------- | --------- | --------- |
| 9   | Admin Adminson |           | 2         |
| 10  | Arne Arnesen   |           | 2         |
| 11  | Brede Bredesen |           | 2         |
| 12  | Cato Carlsson  |           | 2         |
| 13  | Donald Duck    |           | 2         |
| 14  | Erik Eide      |           | 2         |
| 15  | Frode Freestad |           | 2         |
| 16  | Geir Grønbeck  |           | 2         |
| 17  | Hans Hansen    |           | 2         |
| 18  | Ingrid Istad   |           | 2         |
| 147 | Adm0           |           | 2         |
| 148 | Adm1           |           | 2         |
| 149 | Adm2           |           | 2         |
| 150 | Adm3           |           | 2         |
| 151 | Adm4           |           | 2         |
| 152 | Adm5           |           | 2         |
| 153 | Sal0           |           | 2         |
| 154 | Sal1           |           | 2         |
| 155 | Sal2           |           | 2         |
| 156 | Sal3           |           | 2         |
| 157 | Sal4           |           | 2         |

## Related MDO Lists

* "person\_freetextsearchheadings"
* "person\_freetextsearchheadingswithallitem"
* "person\_freetextsearchheadingswithallitemwithnoselection"
* "person\_freetextsearchheadingswithnoselection"
* "person\_freetextsearchwithallitem"
* "person\_freetextsearchwithallitemwithnoselection"
* "person\_freetextsearchwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [contact_and_person_freetextsearch](/en/api/mdo-providers/reference/contact_and_person_freetextsearch.md)
- [contact_and_person_freetextsearch_hierarchical](/en/api/mdo-providers/reference/contact_and_person_freetextsearch_hierarchical.md)
- [combinedcontactpersonsearch](/en/api/mdo-providers/reference/combinedcontactpersonsearch.md)
- [personcontact_freetextsearch](/en/api/mdo-providers/reference/personcontact_freetextsearch.md)
- [ticket_freetextsearch](/en/api/mdo-providers/reference/ticket_freetextsearch.md)
